import Layout from "../../Base/layout";
import Image from "../../../assets/conform.png";
import style from "./confirmation.module.css";
import Button from "../../Base/button";
import { useNavigate } from "react-router-dom";

function Confirmation({ id, seatCount, seats }) {
  const navigate = useNavigate();
  const handleModify = (e) => {
    e.preventDefault();
    navigate(`/booking/${id}`);
  };
  return (
    <Layout title="Booking Confirmed">
      <div className={style.confirmation}>
        <img src={Image} height={150} width="auto" />
        <h3>Seat's Count:{seatCount}</h3>
        <h4>
          Booked Seats:
          {seats.toString()}
        </h4>
        <Button onClick={handleModify}>Modify</Button>
      </div>
    </Layout>
  );
}

export default Confirmation;
